#include "precompile.h"

#include "android.h"
#include "metamgr.h"
#include "android.ai.h"
#include "room.h"
#include "app.h"

Android::Android():Human()
{
    entity_type = ET_Player;
    entity_subtype = EST_Android;
    ai = new AndroidAI;
    ai->owner = this;
    ++App::Instance()->perf.entity_num[ET_Android];
}

Android::~Android()
{
    delete ai;
    ai = nullptr;
    --App::Instance()->perf.entity_num[ET_Android];
}

void Android::Initialize()
{
    Human::Initialize();
}

void Android::Update(int delta_time)
{
    ai->Update(delta_time);
}

