#pragma once

enum SocketFrom_e
{
    SF_GameGate,
};

enum InnerMesssage_e
{
    IM_ClientSocketDisconnect  = 100,
    IM_PlayerOffline,
    IM_ExecGM,
    IM_DBSConnDisconnect,
    IM_BSConnDisconnect,
    IM_LoadConfig,
    IM_HttpResponse,
    IM_GGListenerError
};

//网络处理对象
enum NetHandler_e
{
    HID_Player,
    HID_PlayerMgr,
    HID_Room,
    HID_RoomMgr,
    HID_GGListener,
};

enum PlayerState_e
{
    PS_None
};

enum VirtualItemId_e
{

};

enum SyncData_e
{
    SYNC_Data_Exp = 0,
};

enum GasMode_e
{
    GasInactive = 0,
};

enum VirtualPlayer_e
{
    VP_Spectate = 9000001,
};

enum EquipAttr_e
{
    EA_End
};

enum EntityType_e
{
   ET_None = 0,
   ET_Player = 1,
   ET_Loot = 5,
   ET_Android = 30,
   ET_MAX
};

enum EntitySubType_e
{
   EST_None = 0,
   EST_Player = 1,
   EST_Android = 2,
};

enum PropertyType_e
{
};

enum MapObjectType_e
{
    kMOT_Object = 1,
};

const char* const PROJ_NAME_FMT = "game%d_gameserver";
const char* const PROJ_ROOT_FMT = "/data/logs/%s";

const float TEN_W = 10000 * 10;

const int SYS_RESET_TIME = 2*60; //每日两点重置

const int SERVER_FRAME_RATE = 20;
const int SYNC_FRAME_RATE = 10;
const float FRAME_RATE_MS = 1000.0f / SERVER_FRAME_RATE;

const int MAX_SKIN_LV = 9;

const int FIGHTING_MODE_BULLET_NUM = 10000 * 10000;

const int MAX_NODE_ID = 8;
const int MAX_INSTANCE_ID = 500;

const int WALK_ZONE_WIDTH = 100;

const int MAX_TEAM_NUM = 4;

const int MAX_SYS_HTTP_NUM = 2;
const int MAX_USER_HTTP_NUM = 8;
const int MAX_ALL_HTTP_NUM = MAX_SYS_HTTP_NUM + MAX_USER_HTTP_NUM;

