#pragma once

#include "metatable.pb.h"

namespace MetaData
{

    struct Parameter
    {
        const metatable::Parameter* p = nullptr;

        int int_val = 0;
        std::string str_val;
        double float_val = 0.0f;

        void Init();
    };

    struct Snake
    {
        const metatable::Snake* p = nullptr;

        void Init();
    };

    struct Map
    {
        const metatable::Map* p = nullptr;

        void Init();
    };

    struct Robot
    {
        const metatable::Robot* p = nullptr;

        void Init();
    };

    struct RankReward
    {
        const metatable::RankReward* p = nullptr;
    };

    struct KillReward
    {
        const metatable::KillReward* p = nullptr;
    };

    struct RankPoint
    {
        const metatable::RankPoint* p = nullptr;
    };

    struct KillPoint
    {
        const metatable::KillPoint* p = nullptr;
    };

}
